SignatureSubpacketTags
Date: 2016-06-23

org.bouncycastle.bcpg

## Interface SignatureSubpacketTags

- All Known Implementing Classes:
    SignatureSubpacketInputStream

      public interface SignatureSubpacketTags

  Basic PGP signature sub-packet tag types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CREATION_TIME`
    `static int` | `EMBEDDED_SIGNATURE`
    `static int` | `EXPIRE_TIME`
    `static int` | `EXPORTABLE`
    `static int` | `FEATURES`
    `static int` | `ISSUER_KEY_ID`
    `static int` | `KEY_EXPIRE_TIME`
    `static int` | `KEY_FLAGS`
    `static int` | `KEY_SERVER_PREFS`
    `static int` | `NOTATION_DATA`
    `static int` | `PLACEHOLDER`
    `static int` | `POLICY_URL`
    `static int` | `PREFERRED_COMP_ALGS`
    `static int` | `PREFERRED_HASH_ALGS`
    `static int` | `PREFERRED_KEY_SERV`
    `static int` | `PREFERRED_SYM_ALGS`
    `static int` | `PRIMARY_USER_ID`
    `static int` | `REG_EXP`
    `static int` | `REVOCABLE`
    `static int` | `REVOCATION_KEY`
    `static int` | `REVOCATION_REASON`
    `static int` | `SIGNATURE_TARGET`
    `static int` | `SIGNER_USER_ID`
    `static int` | `TRUST_SIG`

- - ### Field Detail

    - #### CREATION_TIME

          static final int CREATION_TIME

      See Also:
        Constant Field Values

    - #### EXPIRE_TIME

          static final int EXPIRE_TIME

      See Also:
        Constant Field Values

    - #### EXPORTABLE

          static final int EXPORTABLE

      See Also:
        Constant Field Values

    - #### TRUST_SIG

          static final int TRUST_SIG

      See Also:
        Constant Field Values

    - #### REG_EXP

          static final int REG_EXP

      See Also:
        Constant Field Values

    - #### REVOCABLE

          static final int REVOCABLE

      See Also:
        Constant Field Values

    - #### KEY_EXPIRE_TIME

          static final int KEY_EXPIRE_TIME

      See Also:
        Constant Field Values

    - #### PLACEHOLDER

          static final int PLACEHOLDER

      See Also:
        Constant Field Values

    - #### PREFERRED_SYM_ALGS

          static final int PREFERRED_SYM_ALGS

      See Also:
        Constant Field Values

    - #### REVOCATION_KEY

          static final int REVOCATION_KEY

      See Also:
        Constant Field Values

    - #### ISSUER_KEY_ID

          static final int ISSUER_KEY_ID

      See Also:
        Constant Field Values

    - #### NOTATION_DATA

          static final int NOTATION_DATA

      See Also:
        Constant Field Values

    - #### PREFERRED_HASH_ALGS

          static final int PREFERRED_HASH_ALGS

      See Also:
        Constant Field Values

    - #### PREFERRED_COMP_ALGS

          static final int PREFERRED_COMP_ALGS

      See Also:
        Constant Field Values

    - #### KEY_SERVER_PREFS

          static final int KEY_SERVER_PREFS

      See Also:
        Constant Field Values

    - #### PREFERRED_KEY_SERV

          static final int PREFERRED_KEY_SERV

      See Also:
        Constant Field Values

    - #### PRIMARY_USER_ID

          static final int PRIMARY_USER_ID

      See Also:
        Constant Field Values

    - #### POLICY_URL

          static final int POLICY_URL

      See Also:
        Constant Field Values

    - #### KEY_FLAGS

          static final int KEY_FLAGS

      See Also:
        Constant Field Values

    - #### SIGNER_USER_ID

          static final int SIGNER_USER_ID

      See Also:
        Constant Field Values

    - #### REVOCATION_REASON

          static final int REVOCATION_REASON

      See Also:
        Constant Field Values

    - #### FEATURES

          static final int FEATURES

      See Also:
        Constant Field Values

    - #### SIGNATURE_TARGET

          static final int SIGNATURE_TARGET

      See Also:
        Constant Field Values

    - #### EMBEDDED_SIGNATURE

          static final int EMBEDDED_SIGNATURE

      See Also:
        Constant Field Values